{% extends "teams/base.html" %}
{% load render_bundle from webpack_loader %}

{% block page_header %}
	<h1>{{ event_title }}</h1>
{% endblock %}

{% block script %}
<script>
"use strict"
var eventTitle = '{{ event.name }}'
</script>
{% render_bundle 'hunts_event' 'js' attrs='defer' %}
{% endblock %}

{% block content %}

	{% if episodes|length > 0 %}
		{% if position %}
			<div id="event-complete" class="event-completed-{{ position }}"><p>Your team came {{ position }}!</p></div>

		{% endif %}
		<div class="col-md-12">
			<ul id="ep-list" class="nav nav-tabs">
				{% for episode in episodes %}
					<li class="nav-item"><a class="episode-link nav-link" href="#episode-{{ episode.index }}"
					       data-url="{% url 'episode_content' episode_number=episode.index %}" data-toggle="tab">{{ episode.name }}</a></li>
				{% endfor %}
			</ul>
			<div class="tab-content" id="ep">
				{% for episode in episodes %}
					<div class="tab-pane" id="episode-{{ episode.index }}"></div>
				{% endfor %}
			</div>
		</div>

	{% else %}
		<p>
			No episodes are available.
		</p>
	{% endif %}
{% endblock %}
